Nuki Opener 1.1.10



Important note: Nuki App versions needed for proper functionality: Android version 2.4.1 or iOS version 2.4.0 or newer. After installation of the new firmware version the Nuki Opener has to be reconfigured.


Size:   < 1 MB